%global bundle org.osgi.compendium

Name:    felix-osgi-compendium
Version: 1.4.0
Release: %mkrel 17
Summary: Felix OSGi R4 Compendium Bundle
Group:   Development/Java
License: ASL 2.0
URL:     http://felix.apache.org
Source0: http://www.apache.org/dist/felix/%{bundle}-%{version}-project.tar.gz

Patch0:         0001-Fix-servlet-api-dependency.patch
Patch1:         0002-Fix-compile-target.patch
Patch2:         0003-Add-CM_LOCATION_CHANGED-property-to-ConfigurationEve.patch
Patch3:         0004-Add-TARGET-property-to-ConfigurationPermission.patch
# This is an ugly patch that adds getResourceURL method. This prevents jbosgi-framework
# package from bundling osgi files. Once the jbosgi-framework will be updated
# to a new version without the need for this patch, REMOVE it!
Patch4:         0005-Add-getResourceURL-method-to-make-jbosgi-framework-h.patch

BuildArch:      noarch

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: jpackage-utils
BuildRequires: maven-local
BuildRequires: maven-surefire-provider-junit4
BuildRequires: felix-osgi-core
BuildRequires: felix-osgi-foundation
BuildRequires: tomcat-servlet-3.0-api
BuildRequires: mockito

Requires: java >= 1:1.6.0

%description
OSGi Service Platform Release 4 Compendium Interfaces and Classes.

%package javadoc
Group:          Documentation
Summary:        API documentation for %{name}

%description javadoc
This package contains API documentation for %{name}.

%prep
%setup -q -n %{bundle}-%{version}

# fix servlet api properly
%patch0 -p1
# fix compile source/target
%patch1 -p1
# add CM_LOCATION_CHANGED property
%patch2 -p1
# add TARGET property
%patch3 -p1
# add getResourceURL method
%patch4 -p1

%mvn_file :%{bundle} "felix/%{bundle}"
%mvn_alias "org.apache.felix:%{bundle}" "org.osgi:%{bundle}"

%build
%mvn_build -- -Drat.numUnapprovedLicenses=100

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.4.0-17.mga4
+ Revision: 544838
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dmorgan <dmorgan> 1.4.0-16.mga4
+ Revision: 500359
- Build with xmvn

* Fri Jan 11 2013 umeabot <umeabot> 1.4.0-9.mga3
+ Revision: 350154
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 06 2012 dmorgan <dmorgan> 1.4.0-8.mga2
+ Revision: 192048
- Add org.osgi groupId to depmap

* Thu Apr 28 2011 dmorgan <dmorgan> 1.4.0-7.mga1
+ Revision: 92438
- Rebuild after bootstrapping
- imported package felix-osgi-compendium


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb  2 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.4.0-5
- Fix servlet api in pom

* Mon Dec 27 2010 Mat Booth <fedora@matbooth.co.uk> 1.4.0-4
- Fix POM names RHBZ #655800.
- Versionless jars/docs, update maven plug-in BRs.
- Other misc guideline compliances.

* Mon Jul 12 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 1.4.0-3
- Avoid owning the %%{_javadir}/%%{project} directory

* Wed Jul 07 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 1.4.0-2
- Use maven instead of ant

* Tue Jun 22 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 1.4.0-1
- Release 1.4.0
